## 5. Ваня и вирусный файл (C#) (25 баллов)
#### Ограничения на тест: 1 000 Мс / 256 Мб
#### :ballot_box_with_check: Тесты пройдены
## Условие задачи
Ваня очень любит играть в компьютерные игры, но у него нет денег, чтобы купить игру KTA5. Он решил скачать её с интернета, но вместе с игрой случайно скачал и вирус. Помогите Ване определить количество зараженных файлов, которые нужно удалить.

Файлы и папки считаются зараженными, если они находятся в той же директории, что и вирус. Если папка заражена, это означает, что все файлы и папки внутри тоже заражены. Вирусный файл считается зараженным файлом. Все вирусные файлы имеют расширение `.hack`.<br>
Например: `cat.png.hack`, `a.cpp.hack` считаются вирусом, `config.yaml`, `hack.cpp` не считаются вирусом.
## Входные данные
Каждый тест состоит из нескольких наборов входных данных.

Первая строка содержит целое число $t\space(1\le t\le 100)$ — количество наборов входных данных. Далее следует описание наборов входных данных.

Первая строка каждого набора входных данных содержит целое число $n\space(1\le n\le 2000)$ — количество строк с описанием JSON-а директорий.

Следующие $n$ строк каждого набора входных данных содержат описание JSON-а директорий. Все имена файлов и папок непустые, состоят из строчных латинских букв и точек (знаков `.` ) и имеют длину не больше $20$. В описании могут быть символы пробела и табуляции.

Гарантируется, что каждый набор входных данных содержит не более $400$ папок и не более $10$ файлов в каждой папке.

Гарантируется, что размер входных данных не превосходит 10Мб.
## Выходные данные
Выведите ответ — число, количество зараженных файлов, которые нужно удалить.

Вирусный файл считается как зараженный файл. Ответ для первого теста равен $3$: `kta.exe`, `kta.hack` и `cat.png.hack` являются зараженными файлами.

Любые внешние библиотеки использовать нельзя.
- Для работы с JSON в языке `C Sharp` можно пользоваться библиотекой `System.Text.Json`: https://learn.microsoft.com/en-us/dotnet/api/system.text.json?view=net-7.0https://learn.microsoft.com/en-us/dotnet/api/system.text.json?view=net-7.0<br>
Возможно, вам понадобится увеличить максимальную глубину сериализации/десериализации JSON https://learn.microsoft.com/en-us/dotnet/api/system.text.json.jsonserializeroptions.maxdepth?view=net-7.0https://learn.microsoft.com/en-us/dotnet/api/system.text.json.jsonserializeroptions.maxdepth?view=net-7.0
## Пример теста 1
### Входные данные
```
2
23
{
"dir": "root",
"files": [".zshrc"],
"folders": [
{
"dir": "desktop",
"files": ["config.yaml"]
},
{
"dir": "downloads",
"files": ["cat.png.hack"],
"folders": [
{
"dir": "kta",
"files": [
"kta.exe",
"kta.hack"
]
}
]
}
]
}
8
{ "dir"
:
"awesomeproject"
,
"files" : [ "go.mod",
"go.sum"
],
"folders":[{"dir":"cmd"}]}
```
### Выходные данные
```
3
0
```